> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New Webhook

> Mailercloud webhook is a mechanism that allows external systems to receive real-time updates and notifications about events occurring within your account.



## OpenAPI

````yaml /openapi-v1.json post /webhooks
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create a New Webhook
      description: >-
        Mailercloud webhook is a mechanism that allows external systems to
        receive real-time updates and notifications about events occurring
        within your account.
      operationId: create-a-new-webhook
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - url
                - events
              properties:
                name:
                  type: string
                  description: |-
                    Name of your Webhook.

                    Minimum: 3
                    Maximum: 100
                  minLength: 3
                  maxLength: 100
                  pattern: ^[a-zA-Z0-9._ \-]+$/i
                url:
                  type: string
                  description: |-
                    Specify the URL where webhook payloads will be delivered.
                        
                    Supported URL Protocols - HTTP, HTTPS
                events:
                  type: array
                  description: >-
                    List the specific events that you would want to trigger
                    webhook.


                    Supported events :

                        "campaign_sent",
                        "campaign_opened",
                        "campaign_clicked",
                        "unsubscribe",
                        "campaign_error",
                        "spam",
                        "hard_bounce"
                  minItems: 0
                  maxItems: 7
                  items:
                    type: string
            examples:
              Example-1:
                value:
                  name: Test Webhook
                  url: https://example.com
                  events:
                    - campaign_sent
                    - campaign_opened
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-examples:
                  Example 1: {}
              examples:
                Example-1:
                  value:
                    id: DS
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  field:
                    type: string
                  message:
                    type: string
                x-examples:
                  Example 1:
                    field: dedkoie
                    message: djieji
              examples:
                Example-1:
                  value:
                    error:
                      field: url
                      message: url is not valid
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````